Subject: bug#23426: 25.0.93; dired-do-find-regexp doesn't find newline

From: Drew Adams <[email-masked]>
Date: Wed, 4 May 2016 09:39:57 -0700 (PDT)

> > How can the new be considered a sufficient replacement, if it
> > means that `A' and `Q' no longer work for users without `grep'
> > or `find'?
> 
> We obviously don't consider that such a serious obstacle, and the
> commands are not popular enough for that to be an issue.

If you leave those keys alone then there is no issue whatsoever.
Users who want the traditional `A' and `Q' behavior need not
install `grep' or `find'.  Users who want the new behavior can
do so if they need to - no problem.

> > This change is not present in any Emacs release AFAIK.
> 
> I don't see how this fact is relevant.  The discussions were held here
> and on emacs-devel, with you and others reading it.

Sorry, but you don't know what I read and don't read.

> > > You were here all that time, so I don't understand why you raise
> > > this only now.
> >
> > Dunno what you mean by "here".
> 
> Here on this mailing list.

I read some messages in some bug reports, but certainly not most.

> > This is the first I've learned of this feature and the fact that it
> > requires users to install `grep' and `find' commands to use `A' and
> > `Q' in Dired.
> 
> May I suggest to pay more attention to on-going discussions in the
> future?

You can suggest it, but I already spend far too much time paying
attention to ongoing discussions here.

> > Had you simply _added_ this feature and not usurped the existing
> > bindings, you would likely have heard nothing from me about this.
> 
> These commands were introduced with the explicit intent to replace the
> old ones as 'A' and 'Q' bindings, so that tags-loop-continue would not
> be needed anymore.  Again, the discussions about that were all held
> here, for quite a few moons.

I give up.